<?php

Error_Reporting(E_ALL & ~E_NOTICE & ~E_WARNING);
header('Content-Type: text/html; charset=utf-8');

define("VALID_CMS", 1);
define('PATH', $_SERVER['DOCUMENT_ROOT']);

include(PATH . '/core/cms.php');

cmsCore::getInstance();

// ========================================================================== //
//                                                                            //
//                               IpGeoBase, v1.0                              //
//                                                                            //
//                      Copyright (C) 2013 Preventiva LLC                     //
//                     http://www.instantcms.ru/users/Anor                    //
//                                                                            //
// ========================================================================== //

//****************************************************************************//

// Подключаем класс IpGeoBase
include(PATH . '/includes/ipgeobase/ipgeobase.class.php');

$IpGeoBase = new IpGeoBase();

// Получаем IP адрес посетителя
// $ip = $IpGeoBase->getIp();

// ...или указываем другой IP адрес напрямую
$ip = '93.158.134.203';

if ($IpGeoBase->expiresLicense != 'Never') {

    // Получаем срок действия лицензии на класс IpGeoBase
    echo '<p>Срок действия Вашей лицензии на класс IpGeoBase: ' . $IpGeoBase->expiresLicense . '</p>';
    echo '<p>Купить ее можно <a href="http://anorekhov.e-autopay.com/order1/24" target="_blank">здесь</a>.</p>';
}

// Если лицензия не валидна
if (!$IpGeoBase->isValidLicense) {

    echo '<p style="color: red;">Лицензия на класс IpGeoBase не активна!</p>';
}

// Получаем геоданные
$geoData = $IpGeoBase->getGeoData($ip);

// Если данные получены
if ($geoData) {

    // Выводим массив с полученными данными об IP на экран
    echo '<pre>';
    print_r($geoData);
    echo '</pre>';

    // Обратите внимание: если IP заграничный, массив выводится не полный,
    // например город определяется только у Российских и Украинских IP

    // Если нужно узнать только 1 значение из массива, то можно выводить так:
    if ($geoData['city']) {
        echo 'Название города: ' . $geoData['city'];
    }

}

// Если данных нет
if (!$geoData) {

    echo 'Ничего не найдено для IP: ' . $ip;
}

//****************************************************************************//
?>