<?

// ========================================================================== //
//                                                                            //
//                               IpGeoBase, v1.0                              //
//                                                                            //
//                      Copyright (C) 2013 Preventiva LLC                     //
//                     http://www.instantcms.ru/users/Anor                    //
//                                                                            //
// ========================================================================== //

function mod_ipgeobase($module_id) {

    // Подключаем класс IpGeoBase
    include(PATH . '/includes/ipgeobase/ipgeobase.class.php');

    // Получаем IP адрес посетителя
    $ip = IpGeoBase::getIp();

    //$ip = '93.158.134.203';

    // Получаем геоданные
    $geoData = IpGeoBase::getGeoData($ip);

    // Если данные получены
    if ($geoData) {

        // Обратите внимание: если IP заграничный, массив выводится не полный,
        // например город определяется только у Российских и Украинских IP

        if ($geoData['district']) {
            echo '<p>Округ: ' . $geoData['district'] . '</p>';
        }

        if ($geoData['region']) {
            echo '<p>Регион: ' . $geoData['region'] . '</p>';
        }

        if ($geoData['city']) {
            echo '<p>Город: ' . $geoData['city'] . '</p>';
        }

        echo '<p>Координаты: ' . $geoData['lat'] . ' / ' . $geoData['lng'] . '</p>';
    }

    // Если данных нет
    if (!$geoData) {

        echo 'Ваше местоположение неизвестно.';
    }

    return true;
}

?>